Create Payment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This request creates a payment after you created a checkout session.

❗️

Important

Although certain objects are not mandatory when creating a Payment, the user’s payment experience can be enhanced if you provide this information.

📘

3DS Payments

Check the 3D Secure page to learn how to create payments using 3DS on Yuno.

If you want to process payments in a Single Step (Authorization and Capture simultaneously), you need to send the payment_method.detail.card.capture attribute as true, so the payment is captured automatically.

To test all possible transaction outcomes within Yuno in Sandbox, please refer to the following documentation for test data.

❗️

Metadata and routing logic

If you use metadata to drive routing logic, it must also be set in the Checkout Session. Filling it only in the Payment object will not activate route logic.

On the other hand, if you wish to process the payment in Two Steps (First Authorization and then Capture), you need to send payment_method.detail.card.capture attribute as false. Please follow the steps below to implement a two-step flow:

  1. Create an authorization using the Authorize Payment request.
  2. Capture the created authorization using the Capture Authorization request.

Note that this request requires an X-Idempotency-Key. Check the Authentication page for more information.

Body Params
string
required
Defaults to {{account_id}}

The unique identifier of the account. You find this information on the Yuno dashboard (UUID, 36 chars).

string
required

The unique identifier of the customer's order (MAX 255; MIN 3).

string
required

The description of the payment (MAX 255; MIN 3).

amount
object
required

Specifies the payment amount object, with the value and currency.

checkout
object
required

Specifies the checkout object. This object is not mandatory for back to back payments. Required when workflow is defined as SDK_CHECKOUT or is not sent. not required for DIRECT or REDIRECT payments.

additional_data
object
required

Specifies the additional_data object. This object is not mandatory. However, if you send this information, the payment experience will be enhanced for your user.

string
enum
required

Country where the transaction must be processed (MAX 2; MIN 2; ISO 3166-1).

string

Identification of the payment transaction defined by the merchant (MAX 255; MIN 3). Optional to complement the merchant_order_id.

customer_payer
object

Specifies customer object for payments.

string
enum
Defaults to SDK_CHECKOUT

The payment workflow. Indicates whether the integration will use Yuno´s SDK or will be a back to back connection. Guides

  • SDK_CHECKOUT: [Recommended] - Use Yuno's SDK.
  • DIRECT: Back to back integration with provider info for custom payment experience.
  • REDIRECT: Back to back integration with provider redirection.

Allowed:
payment_method
object
required

The payment method object.

subscription
object

Specifies the subscription object.

string

The URL where to redirect the customer after the payment. Only required for DIRECT integrations that have a redirection (MAX 526; MIN 3).

fraud_screening
object

Fraud screening object.

split_marketplace
array of objects

Split marketplace array of objects

split_marketplace
metadata
array of objects

Custom key–value tags to track this payment or add context (e.g., order_id, invoice, campaign). Up to 120 items.

metadata
Headers
string
required

Unique identifier used in HTTP headers to ensure that a request is processed only once, even if it is retried due to network issues or timeouts.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json